-----------------------------------------------------------------------
--|> PHASING
-----------------------------------------------------------------------
local _, NS = ...
local tDeleteItem = tDeleteItem

--> MultiRealm Phasing
local function MultiRealmPhaseAlert(connectedRealms)
  local realmsString = ""
  for _, v in pairs(connectedRealms) do
    realmsString = realmsString .. ", " .. v
  end

  if NS.Options.Alerts.PhasingChat == true then
    NS.PrintAddonMessage("|cffe32dffPHASING|r |cff3bff00(" .. realmsString .. ")|r")
  end
  NS.CoreUI.FlashTitleBar("phasing")
  NS.CoreUI.SetIcon("phasing")
end

--> Local Phase
-- local function LocalPhaseAlert()
--   if NS.Options.Alerts.PhasingChat == true then
--     NS.PrintAddonMessage("|cffe32dffPHASING|r |cffcccccc(" .. NS.Player.FromRealm .. ")|r")
--   end
--   NS.CoreUI.FlashTitleBar("phasing")
--   NS.CoreUI.SetIcon("phasing")
-- end

--> Check Phasing
local firstRun = true
function NS.CheckPhasing()
  if firstRun then
    firstRun = nil
    return
  elseif weizPVP.loadingScreen then
    weizPVP.loadingScreen = nil
    return
  end
  local connectedRealms = GetAutoCompleteRealms()
  if connectedRealms then
    tDeleteItem(connectedRealms, NS.PlayerRealm)
  end
  if #connectedRealms > 0 then
    MultiRealmPhaseAlert(connectedRealms)
  -- else
  --   LocalPhaseAlert()
  end
end
